#! /bin/bash
#
# $Id: mkcmpth.sh,v 1.4 2001/04/18 00:11:22 richdawe Exp $
#
# mkcmpth.sh, Copyright (C) 2000 by Laurynas Biveinis
#
# This is based on part of the original zippo Makefile. Some modifications
# were made by Richard Dawe.
#
# This script constructs comptime.h in the current directory. This contains
# information about how zippo was built. The build info can be displayed by
# running zippo like this: 'zippo -V'.

USERMAIL=$1
DEFAULT_PLATFORM=$2

#
# This needs a bit of sed'ing. The hostname returned by hostname from
# shellutils 1.12 has spurious spaces in it, because of a bug in earlier
# versions of DJGPP's libc.
#
BUILD_HOSTNAME=$(hostname | sed -e 's:^[ \t]*\([^ \t]*\)[ \t]*$:\1:')
BUILD_USERNAME=$(logname)

#
# Parse the binutils version from as's version output.
#
BINUTILS_VERSION=$(as --version | head -q -n 1 - | sed -e 's:^[a-zA-Z ]*::')
BINUTILS_VERSION="binutils $BINUTILS_VERSION"

echo "#define COMPILE_HOST \"$BUILD_HOSTNAME\""               >  comptime.h
echo "#define COMPILE_USER \"$BUILD_USERNAME\""               >> comptime.h
echo "#define COMPILE_USERMAIL \"$USERMAIL\""	              >> comptime.h
echo "#define COMPILE_GCC \"$(gcc -v 2>&1 | grep version)\""  >> comptime.h
echo "#define COMPILE_BINUTILS \"$BINUTILS_VERSION\""         >> comptime.h
echo "#define COMPILE_UNAME \"$(uname -m -r -s)\""            >> comptime.h
echo "#define COMPILE_DEFAULT_PLATFORM \"$DEFAULT_PLATFORM\"" >> comptime.h
