/* $Id: zippo.h,v 1.6 2001/04/18 00:02:58 richdawe Exp $ */

/*
 *  zippo.h - Defines for zippo's main program
 *  Copyright (C) 1999-2001 by Richard Dawe
 *      
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __zippo_h__
#define __zippo_h__

/* --- Defines --- */

/* Defaults */
#define DEFAULT_DJGPP_PATH "c:/djgpp/"

/* Prefixes */
#define ZIPPO_SHARE_PREFIX    "share/zippo/"
#define ZIPPO_DB_PREFIX       ZIPPO_SHARE_PREFIX "db/"
#define ZIPPO_DB_AVAIL_PREFIX ZIPPO_SHARE_PREFIX "db-avail/"

/* Operations */
enum {
  OP_NONE            = 0x0000,

  /* Informational */
  OP_STATUS          = 0x0001,
  OP_VERSION         = 0x0002,
  OP_HELP            = 0x0004,
  OP_LICENSE         = 0x0008,

  /* Database-related */
  OP_INITDB          = 0x0010,
  OP_SYNCDB          = 0x0020,

  /* Queries */
  OP_QUERY           = 0x0100,
  OP_QUERYALL        = 0x0200,
  OP_QUERYFILE       = 0x0400,
  OP_QUERYAVAILABLE  = 0x0800,

  /* Install/uninstall/upgrade */
  OP_INSTALL         = 0x1000,
  OP_UNINSTALL       = 0x2000,
  OP_UPGRADE         = 0x4000,

  /* Miscellaneous */
  OP_CHECK_INTEGRITY = 0x8000
};

/* Verbosity */
enum {
  V_UNDEFINED   = 0x00,
  V_QUIET       = 0x01,
  V_NORMAL      = 0x02,
  V_VERBOSE     = 0x03
};

#endif	/* #define __zippo_h__ */
